
/*
Add transition to containers so they can push in and out.
*/
#layout,
#menu,
.menu-link {
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    -ms-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}

/*
This is the parent `<div>` that contains the menu and the content area.
*/
#layout {
    top: 30px;
    position: relative;
    /*left: 0;
    padding-left: 0;*/
    max-width: 1080px; /* NEU 2019 */
    margin: 0 auto; /* NEU 2019 */
    background-color: #241203;  /* NEU 2019  content: 361C03 oder 241203 */ 
}
    #layout.active #menu { /* breite menu bei klick ausgefahren */
        left: 150px;
        width: 150px;
    }

    #layout.active .menu-link {
        left: 150px;
    }
/*
The content `<div>` is where all your content goes.
*/
.content {
   /* margin: 0 auto;*/
        color: #CECECE; /* neu schrift content */
    min-height: 680px;
    padding: 0 2em;
    margin: 30px 20px 10px 20px; /* box innen */
    /* max-width: 1280px; vorher 800px 2019 */
	padding-bottom: 20px;
    line-height: 1.6em;
}

.header {
     margin: 0;
     background-color: #646579; /* schrift 191818; 646579*/
     text-align: center;
     padding: 2.5em 2em 0;
     border-bottom: 5px solid #000; /* 646579 */
    padding-bottom: 40px;
 }
    .header h1 {
        margin: 0.2em 0;
        font-size: 3em;
        font-weight: 300;
    }
     .header h2 {
        font-weight: 300;
        color: #ccc;
        padding: 0;
        margin-top: 0;
    }

.content-subhead {
    margin: 50px 0 20px 0;
    font-weight: 300;
    color: #888;
}
.balken-links { /* ausfüllen bis boden des containers */
    width: 150px;
    position: absolute;
    top: 0;	
    left: 0;
    bottom: 0;
    z-index: 100;
	color: red;
    background-color: #191818; z-index: 0;
}
/*
The `#menu` `<div>` is the parent `<div>` that contains the `.pure-menu` that
appears on the left side of the page.
*/

#menu {
    margin-left: -150px; /* "#menu" ausfahr width */
    width: 150px; /* vorher 150px 2019 */ 
    min-height: 680px;
    /*position: absolute;*/
    position: sticky; /* KORREKTUR FUER KONTAINER_ANSICHT -> content verrutsch dann an bottom */
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 1000; /* so the menu or its navicon stays above all content */
    background: #191818;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;	
}
    /*
    All anchors inside the menu should be styled like this.
    */
    #menu a {
        color: #999;
        border: none;
        padding: 0.6em 0 0.6em 0.6em;
    }

    /*
    Remove all background/borders, since we are applying them to #menu.
    */
     #menu .pure-menu,
     #menu .pure-menu ul {
        border: none;
        background: transparent;
    }

    /*
    Add that light border to separate items into groups.
    */
    #menu .pure-menu ul,
    #menu .pure-menu .menu-item-divided {
        border-top: 1px solid #333;
    }
        /*
        Change color of the anchor links on hover/focus.
        */
        #menu .pure-menu li a:hover,
        #menu .pure-menu li a:focus {
            background: #F96;
			color:#FFF;
        }

        /*
        Wenn aktiv. GEHT NIX - nur in > </a>
        */

		#menu .pure-menu li .mactive{
            background: #B97943; /*  var(--menu-active-bg-color); */
			color: #241203; /* var(--menu-active-color); */
        }		
		
    /*
    This styles the selected menu item `<li>`.
    */
    #menu .pure-menu-selected,
    #menu .pure-menu-heading {
        background: #191818; /* farbe menu top */
    }
        /*
        This styles a link within a selected menu item `<li>`.
        */
        #menu .pure-menu-selected a {
            color: #fff;
        }

    /*
    This styles the menu heading.
    */
    #menu .pure-menu-heading {
        font-size: 110%;
        color: #fff;
        margin: 0;
        margin-top: 100px; /* neu 2019 .. -18px */
    }

/* -- Dynamic Button For Responsive Menu -------------------------------------*/

/*
The button to open/close the Menu is custom-made and not part of Pure. Here's
how it works:
*/

/*
`.menu-link` represents the responsive menu toggle that shows/hides on
small screens.
*/
.menu-link {
    position: sticky;
    display: block; /* show this only on small screens */
    top: 0;
    left: 0; /* "#menu width" */
    background: #000;
    background: rgba(0,0,0,0.7);
    font-size: 10px; /* change this value to increase/decrease button size */
    z-index: 10;
    width: 2.2em; /* 2em orig  hamburger breite */
    height: auto;
    padding: 2.1em 1.6em;
}

    .menu-link:hover,
    .menu-link:focus {
        background: #000;
    }

    .menu-link span {
        position: relative;
        display: block;
    }

    .menu-link span,
    .menu-link span:before,
    .menu-link span:after {
        background-color: #fff;
        width: 100%;
        height: 0.2em;
    }

        .menu-link span:before,
        .menu-link span:after {
            position: absolute;
            margin-top: -0.6em;
            content: " ";
        }

        .menu-link span:after {
            margin-top: 0.6em;
        }


/* -- Responsive Styles (Media Queries) ------------------------------------- */

/*
Hides the menu at `48em`, but modify this based on your app's needs.
*/
@media (min-width: 48em) { /* 4000em: ist menu immer eingeklappert */

    .header,
    .content {
        padding-left: 14em; /*  PQ 2019 STICKY  orig: 2em */
        padding-right: 2em;
    }

    #layout {
       // padding-left: 150px; /* left col width "#menu"  PQ 2019 STICKY (weisser rechter 150px-rand) - VORHER 150px*/
        left: 0; 
    }
    #menu {
        //left: 150px;  /*  PQ 2019 STICKY  NEU OHNE - beim verkleinern weg mit blockade */
		float: left; /*  PQ 2019 STICKY  NEU - damit am layout ausgerichtet + hochgerutscht */
		margin: 0 auto; /*  PQ 2019 STICKY  NEU - damkit mitwandernd resize */
    }

    .menu-link {
        position: fixed;
        //left: 150px;
        display: none;
    }

    #layout.active .menu-link {
       // left: 150px;
    }
}

@media (max-width: 47.9em) { /* bei 48em auf tablet vertikal kein menu // MOBILE ANSICHT -anzeige hamburger-meu bei kleinem bildschirm */
    /* Only apply this when the window is small. Otherwise, the following
    case results in extra padding on the left:
        * Make the window small.
        * Tap the menu to trigger the active state.
        * Make the window large again.
    */
#layout.active {
        position: absolute; /* war vorher relative - nuir so gehts */
        left: 0px; /* verschieb content nach rechts, wenn klick z.b. 200 */ 
    }
#menu.active { /* alles neu 2019 hack - existierte nicht - damit menu ausfährt und sichtbar ist */
position: fixed; /* relative geht, sticky nicht (scrollt aber mit touch) - rutsch aber nach oben, fixed geht mit obercontainer absolute (scrollt aber nicht auf touch) ; an rechte kante - hack */
float: left; /* PQ 2019 STICKY  NEU - damit hochgerutscht */
top: 25px; /* damit oberster menu-punkt sichtbar */
/*    bottom: 0px; menu-balken bleibt nicht im container .. könnte man verbessern */
min-height: 1px; /* wird auf mobile dadurch scrollbar !!?  */
display: block; /* sichtbar */
margin-top: -45px; /* PQ 2019 - hack - um menu bei kleinem bild, wieder an die obere kante aufzuschliessen */
}	
	
#menu {
    //margin-left: -150px; /* neu 2019 füer pos absolute .. ev. entfernen*/
	display: none; /* PQ 2019 - hack -damit menu unter hamburger verschwindet */
    } 
#layout {
    top: 0px;
    }
.header {
    max-height: 170px; /* balken oben in mobile-ansicht dünner */
     padding: 0em 0em 0; 
	 margin-top: -45px; /* PQ 2019 - hack - um bei kleinem bild, wieder an die obere kante aufzuschliessen */
    }
.balken-links{display: none;}	
}
